# Makefile for livecd-tools
# Copyright (c) 2004-2022 by Silvan Calarco <silvan.calarco@mambasoft.it>
# Released under the terms of the GNU GPLv3 license

NAME=livecd-tools

include VERSION

# System locations
prefix = /usr
exec_prefix = ${prefix}
sysconfdir = /etc
sbindir = /sbin
bindir = ${exec_prefix}/bin
libdir = ${prefix}/lib
mandir = ${prefix}/usr/share/man
datadir = ${prefix}/share
iconsdir = ${datadir}/icons/hicolor
sysconfigdir= ${sysconfdir}/sysconfig
localesdir = ${datadir}/locale
srcdir = .

DESTDIR =
INSTALL = /usr/bin/install 
INSTALL_PROGRAM = ${INSTALL} -m 755
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DIR = ${INSTALL} -d -m 755
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
SYSTEM_MENU_DIR = ${datadir}/applications
STATIC_DIR = /static

# package related variables
distdir = $(NAME)-$(VERSION)
dist_archive = $(distdir).tar.bz2

.SUFFIXES:
.SUFFIXES: .po .mo
.po.mo:; msgfmt $< -o $@

all: locales

locales: $(pck_catalogs:.po=.mo)
#	lupdate calamares/etc/calamares/branding/openmamba/lang/calamares-openmamba_it.ts
	lrelease-qt5 calamares/etc/calamares/branding/openmamba/lang/calamares-openmamba_it.ts

install-locales: locales
	@for f in $(pck_catalogs); do\
	   lang=`echo $$f | sed 's,.*/\(.*\)\.po,\1,'`;\
	   echo "installing i18n file for language \`$$lang'...";\
	   dir="$(DESTDIR)$(localesdir)/$$lang/LC_MESSAGES";\
	   $(INSTALL_DIR) $$dir;\
	done

install-dirs:
	@$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	@$(INSTALL_DIR) $(DESTDIR)$(sysconfigdir)
	@$(INSTALL_DIR) $(DESTDIR)$(SYSTEM_MENU_DIR)
	@$(INSTALL_DIR) $(DESTDIR)/home/liveuser/
	@$(INSTALL_DIR) $(DESTDIR)$(sysconfdir)/sudoers.d/
	@$(INSTALL_DIR) $(DESTDIR)$(sysconfdir)/systemd/system/
	@$(INSTALL_DIR) $(DESTDIR)$(libdir)/calamares/modules/

install: install-dirs install-locales
	$(INSTALL_DATA) tools/autovt@.service $(DESTDIR)$(sysconfdir)/systemd/system/
	$(INSTALL_DATA) tools/eject.service $(DESTDIR)$(sysconfdir)/systemd/system/
	$(INSTALL_PROGRAM) liveuser-sudoers $(DESTDIR)$(sysconfdir)/sudoers.d/liveuser
	$(INSTALL_DATA) calamares-installer.desktop $(DESTDIR)$(SYSTEM_MENU_DIR)
	cp -a calamares/etc/calamares $(DESTDIR)$(sysconfdir)/
	cp -a calamares/openmamba-postinstall $(DESTDIR)$(libdir)/calamares/modules/

clean: 

dist: clean
	@mkdir /tmp/$(distdir)
	@cp -a * /tmp/$(distdir)/
	@rm -f $(dist_archive);\
	tar cf - -C /tmp $(distdir) | bzip2 -9 -c > $(dist_archive)
	@rm -rf /tmp/$(distdir)
	@echo "file \`$(dist_archive)' created"

dist-rpm: dist
	@rpm_sourcedir=`rpm --eval=%{_sourcedir}`;\
	mv -f $(dist_archive) $$rpm_sourcedir;\
	echo "and saved as \`$$rpm_sourcedir/$(dist_archive)'"
